com.io7m.jpra.compiler.core.driver

## Class JPRADriver

- java.lang.Object
- - com.io7m.jpra.compiler.core.driver.JPRADriver

- All Implemented Interfaces:
    JPRADriverType

      public final class JPRADriver
      extends Object
      implements JPRADriverType

  Default implementation of the `JPRADriverType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PackageContextType` | `compilePackage(PackageNameQualified p)` Compile a package.
    `GlobalContextType` | `getGlobalContext()`
    `static JPRADriverType` | `newDriver(Path in_base, JPRACheckerCapabilitiesType in_caps)` Construct a new driver.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newDriver

          public static JPRADriverType newDriver(Path in_base,
                                                 JPRACheckerCapabilitiesType in_caps)

      Construct a new driver.
      Parameters:
        `in_base` - The base source directory
        `in_caps` - The capabilities
      Returns:
        A new driver

    - #### compilePackage

          public PackageContextType compilePackage(PackageNameQualified p)
                                            throws JPRAModelLoadingException

      Description copied from interface: `JPRADriverType`
      Compile a package.
      Specified by:
        `compilePackage` in interface `JPRADriverType`
      Parameters:
        `p` - The package name
      Returns:
        The compiled package
      Throws:
        `JPRAModelLoadingException` - On compilation errors

    - #### getGlobalContext

          public GlobalContextType getGlobalContext()

      Specified by:
        `getGlobalContext` in interface `JPRADriverType`
      Returns:
        The global context

Copyright © 2016 <code@io7m.com> http://io7m.com